Ogre::RenderablePass Struct Reference
RenderSystem

Struct associating a single Pass with a single Renderable. More...

`#include <OgreRenderQueueSortingGrouping.h>`

List of all members.

## Public Member Functions

| RenderablePass (Renderable *rend, Pass *p)

## Public Attributes

Renderable * | renderable
| Pointer to the Renderable details.
Pass * | pass
| Pointer to the Pass.

## Detailed Description

Struct associating a single Pass with a single Renderable.

This is used to for objects sorted by depth and thus not grouped by pass.

Definition at line 51 of file OgreRenderQueueSortingGrouping.h.

## Constructor & Destructor Documentation

Ogre::RenderablePass::RenderablePass | ( | Renderable * | rend,
|  | Pass * | p
| ) |  |

Definition at line 58 of file OgreRenderQueueSortingGrouping.h.

## Member Data Documentation

Pass* Ogre::RenderablePass::pass

Pointer to the Pass.

Definition at line 56 of file OgreRenderQueueSortingGrouping.h.

Referenced by Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()(), and Ogre::QueuedRenderableCollection::RadixSortFunctorPass::operator()().

Renderable* Ogre::RenderablePass::renderable

Pointer to the Renderable details.

Definition at line 54 of file OgreRenderQueueSortingGrouping.h.

Referenced by Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()(), and Ogre::QueuedRenderableCollection::RadixSortFunctorDistance::operator()().

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:35